跳转到内容
Try Gitea Cloud ☁️ for 30 days → Accelerate your Development & Deploys!
Support

Per type counts of open and closed security findings, for the repository type tabs

GET
/repos/{owner}/{repo}/security/summary
curl --request GET \
--url https://gitea.example.com/api/v1/repos/example/example/security/summary \
--header 'Authorization: Basic <credentials>'

Gitea Enterprise only. This endpoint is not part of the community edition.

owner
required
string

Name of the owner

repo
required
string

Name of the repository

FindingSummary

Media typeapplication/json
FindingSummary is the per type, per state counts the repository type tabs render.
object
closed
FindingTypeCounts is the number of findings of each type in one state.
object
all
integer format: int64
code_scanning
integer format: int64
dependencies
integer format: int64
secrets
integer format: int64
open
FindingTypeCounts is the number of findings of each type in one state.
object
all
integer format: int64
code_scanning
integer format: int64
dependencies
integer format: int64
secrets
integer format: int64
Examplegenerated
{
"closed": {
"all": 1,
"code_scanning": 1,
"dependencies": 1,
"secrets": 1
},
"open": {
"all": 1,
"code_scanning": 1,
"dependencies": 1,
"secrets": 1
}
}